Bug 60801 - printer usually prints out commands and filename.ps as ASCII characters
printer usually prints out commands and filename.ps as ASCII characters
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-06 17:03 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-08 12:19:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
as requested (473 bytes, application/octet-stream)
2002-03-07 13:20 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-03-06 17:03:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
since upgrading from 7.1 to 7.2, I've been un ble to print.  Out of 7 or 8
tests, I've only gotten one normal printout.  Further details can be found in RH
Service request 201422.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.print frm any app or using lpr from the command line
2.
3.
	

Actual Results:  printer commands, comment lines and the filename.ps file (as
ASCII) are output 

Expected Results:  normal postscript output

Additional info:

This is a problem new with my upgrade to RH 7.2.  I had no problem wit h 6.0,
6.1, 6.2, 7.0 or 7.1.  Also, There is no problem with Windows 2000 pro.  The
printer is connected to a network with 30+ computers.  I am the only one
experiencing problems.I am also the only one using 7.2
Comment 1 Need Real Name 2002-03-07 12:45:53 EST
Obviously, not being able to print is a BIG problem.  When can I expect action
on this bug?
Comment 2 Tim Waugh 2002-03-07 12:57:17 EST
Do you have all the updates applied?  You don't list which package versions you
have: please do 'rpm -q foomatic printconf' and tell me what it says.

Also please attach /etc/alchemist/namespace/printconf/local.adl.
Comment 3 Need Real Name 2002-03-07 13:20:50 EST
Created attachment 47760 [details]
as requested
Comment 4 Tim Waugh 2002-03-07 13:54:11 EST
Tell me about the labprint queue on ladron.cs.nmt.edu.  How does everyone else
have their spoolers set up to print to it?  With PostScript?
Comment 5 Need Real Name 2002-03-07 13:56:38 EST
yes. we all use postscript
Comment 6 Tim Waugh 2002-03-08 07:15:52 EST
Can you show me an example of the type of output you get? (I'm trying to see if
it's PostScript or PJL.)

Can you try using printconf-gui to change the driver from 'HP/LaserJet
6MP/Postscript' to just 'Postscript Printer' (it's at the top of the driver
selection screen), and see if that makes a difference?
Comment 7 Need Real Name 2002-03-08 11:44:49 EST
The first lines of output are always
@PJL SET PS:MBT=AUTO
@PLJ SET MPTRAY=FIRST
@PJL SET DENSITY=3
.
.
.
%!PS-Adobe-3.0
%% Creator:Gnome Print Version 
etc. etc.

In one out of one tests, changing the driver to Postcsript Printer resulted in
the proper printout.proper output.
Comment 8 Tim Waugh 2002-03-08 11:49:35 EST
Please confirm the versions of foomatic and printconf that you are using.  Have
you applied the updates?
Comment 9 Need Real Name 2002-03-08 12:17:23 EST
I ran up2date last week (2/27?)
rpm -q returns
printconf-0.3.44-1
foomatic-1.1-0.20011218.3
Comment 10 Tim Waugh 2002-03-08 12:19:47 EST
That version of printconf is not the latest update that is available.  Please
apply all the updates and let me know if the problem still occurs.
Comment 11 Tim Waugh 2002-03-08 12:26:36 EST
(Closing for now; re-open if the problem doesn't go away.)
Comment 12 Need Real Name 2002-03-08 12:56:49 EST
I changed the driver back to HP6*, and printed 2 files, both came out fine.

I wonder why running up2date last week didn't automatically install the updated
printconf?

thanks for the help!

Note You need to log in before you can comment on or make changes to this bug.